Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly-tests/build.rmap34
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly/build.rmap34
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/buckminster.cspec23
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.cquery18
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.mspec8
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.properties39
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.rmap369
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.xml323
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-tests/build.rmap32
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly/build.rmap32
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh216
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh6
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh183
13 files changed, 314 insertions, 1003 deletions
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly-tests/build.rmap b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly-tests/build.rmap
index 0194a0f2f21..42467864152 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly-tests/build.rmap
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly-tests/build.rmap
@@ -140,7 +140,7 @@
<!-- CDO -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF CDO",0) -->
- <rm:uri format="{0}/modeling/emf/cdo/drops/S20130821-0325">
+ <rm:uri format="{0}/modeling/emf/cdo/drops/S20130822-1137">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -163,8 +163,8 @@
<!-- M2M QVT-OML -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MMT QVTo 3.3.0",0) -->
- <rm:uri format="{0}/mmt/qvto/updates/releases/3.3.0">
+ <!-- updateFrom("QVT Operational",0) -->
+ <rm:uri format="{0}/mmt/qvto/updates/milestones/3.4.0">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -179,8 +179,8 @@
<!-- MDT OCL -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT OCL 4.1.1",0) -->
- <rm:uri format="{0}/modeling/mdt/ocl/updates/maintenance/4.1.1">
+ <!-- updateFrom("MDT OCL 4.2",0) -->
+ <rm:uri format="{0}/modeling/mdt/ocl/updates/milestones/4.2.0/S201308191305">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -188,7 +188,7 @@
<!-- EMF Facet -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF Facet",0) -->
- <rm:uri format="{0}/facet/updates/integration/0.3.1/I201308191255/">
+ <rm:uri format="{0}/facet/updates/integration/0.4.0/I201308190853/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -204,7 +204,7 @@
<!-- MDT UML2 -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("MDT UML2",0) -->
- <rm:uri format="{0}/modeling/mdt/uml2/updates/4.1.x">
+ <rm:uri format="{0}/modeling/mdt/uml2/updates/4.2milestones">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -212,7 +212,7 @@
<!-- Mylyn -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Mylyn",0) -->
- <rm:uri format="{0}/mylyn/snapshots/3.9">
+ <rm:uri format="{0}/mylyn/snapshots/3.10">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -236,7 +236,7 @@
<!-- EMF -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF (Core)",0) -->
- <rm:uri format="{0}/modeling/emf/emf/updates/2.9.x/">
+ <rm:uri format="{0}/modeling/emf/emf/updates/milestones/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -244,7 +244,7 @@
<!-- EMF Compare -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF COMPARE",0) -->
- <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.1/">
+ <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.2/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -252,11 +252,11 @@
<!-- EMF Transaction, EMF Validation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF TRANSACTION",0) -->
- <rm:uri format="{0}/modeling/emf/transaction/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/transaction/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
<!-- updateFrom("EMF VALIDATION",0) -->
- <rm:uri format="{0}/modeling/emf/validation/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/validation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -272,7 +272,7 @@
<!-- GMP -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Runtime",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -280,7 +280,7 @@
<!-- GMF Notation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Notation",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -296,7 +296,7 @@
<!-- Subversive -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Subversive",0) -->
- <rm:uri format="{0}/technology/subversive/1.1/kepler-site/">
+ <rm:uri format="{0}/technology/subversive/1.1/luna-site/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -304,7 +304,7 @@
<!-- WST -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("WebTools",0) -->
- <rm:uri format="{0}/webtools/downloads/drops/R3.5.1/M-3.5.1RC1-20130815140246/repository/">
+ <rm:uri format="{0}/webtools/downloads/drops/R3.6.0/S-3.6.0M1-20130816211629/repository/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -320,7 +320,7 @@
<!-- Eclipse Platform Milestones -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Eclipse",0) -->
- <rm:uri format="{0}/eclipse/updates/4.3-M-builds/M-4.3.1RC1-201308140800/">
+ <rm:uri format="{0}/eclipse/updates/4.4milestones/S-4.4M1-201308072000/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly/build.rmap b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly/build.rmap
index 104b0a98163..6d3da0080f5 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly/build.rmap
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-extra-nightly/build.rmap
@@ -256,7 +256,7 @@
<!-- CDO -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF CDO",0) -->
- <rm:uri format="{0}/modeling/emf/cdo/drops/S20130821-0325">
+ <rm:uri format="{0}/modeling/emf/cdo/drops/S20130822-1137">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -279,8 +279,8 @@
<!-- M2M QVT-OML -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MMT QVTo 3.3.0",0) -->
- <rm:uri format="{0}/mmt/qvto/updates/releases/3.3.0">
+ <!-- updateFrom("QVT Operational",0) -->
+ <rm:uri format="{0}/mmt/qvto/updates/milestones/3.4.0">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -302,8 +302,8 @@
<!-- MDT OCL -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT OCL 4.1.1",0) -->
- <rm:uri format="{0}/modeling/mdt/ocl/updates/maintenance/4.1.1">
+ <!-- updateFrom("MDT OCL 4.2",0) -->
+ <rm:uri format="{0}/modeling/mdt/ocl/updates/milestones/4.2.0/S201308191305">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -311,7 +311,7 @@
<!-- EMF Facet -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF Facet",0) -->
- <rm:uri format="{0}/facet/updates/integration/0.3.1/I201308191255/">
+ <rm:uri format="{0}/facet/updates/integration/0.4.0/I201308190853/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -327,7 +327,7 @@
<!-- MDT UML2 -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("MDT UML2",0) -->
- <rm:uri format="{0}/modeling/mdt/uml2/updates/4.1.x">
+ <rm:uri format="{0}/modeling/mdt/uml2/updates/4.2milestones">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -335,7 +335,7 @@
<!-- Mylyn -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Mylyn",0) -->
- <rm:uri format="{0}/mylyn/snapshots/3.9">
+ <rm:uri format="{0}/mylyn/snapshots/3.10">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -359,7 +359,7 @@
<!-- EMF -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF (Core)",0) -->
- <rm:uri format="{0}/modeling/emf/emf/updates/2.9.x/">
+ <rm:uri format="{0}/modeling/emf/emf/updates/milestones/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -367,7 +367,7 @@
<!-- EMF Compare -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF COMPARE",0) -->
- <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.1/">
+ <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.2/">
<!-- rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.0" -->
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
@@ -377,11 +377,11 @@
<!-- EMF Transaction, EMF Validation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF TRANSACTION",0) -->
- <rm:uri format="{0}/modeling/emf/transaction/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/transaction/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
<!-- updateFrom("EMF VALIDATION",0) -->
- <rm:uri format="{0}/modeling/emf/validation/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/validation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -397,7 +397,7 @@
<!-- GMP -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Runtime",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -405,7 +405,7 @@
<!-- GMF Notation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Notation",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -429,7 +429,7 @@
<!-- Subversive -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Subversive",0) -->
- <rm:uri format="{0}/technology/subversive/1.1/kepler-site/">
+ <rm:uri format="{0}/technology/subversive/1.1/luna-site/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -437,7 +437,7 @@
<!-- WST -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("WebTools",0) -->
- <rm:uri format="{0}/webtools/downloads/drops/R3.5.1/M-3.5.1RC1-20130815140246/repository/">
+ <rm:uri format="{0}/webtools/downloads/drops/R3.6.0/S-3.6.0M1-20130816211629/repository/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -445,7 +445,7 @@
<!-- Eclipse Platform Milestones -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Eclipse",0) -->
- <rm:uri format="{0}/eclipse/updates/4.3-M-builds/M-4.3.1RC1-201308140800/">
+ <rm:uri format="{0}/eclipse/updates/4.4milestones/S-4.4M1-201308072000/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/buckminster.cspec b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/buckminster.cspec
deleted file mode 100644
index 6370cc01941..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/buckminster.cspec
+++ /dev/null
@@ -1,23 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<cs:cspec xmlns:cs="http://www.eclipse.org/buckminster/CSpec-1.0" name="org.eclipse.mdt.papyrus.releng.buckminster"
- componentType="buckminster" version="0.9.0.qualifier">
- <cs:dependencies>
- <cs:dependency name="org.eclipse.sdk" componentType="eclipse.feature"/>
- <cs:dependency name="org.eclipse.pde.junit.runtime" componentType="osgi.bundle"/>
- <cs:dependency name="org.eclipse.papyrus.sdk.feature" componentType="eclipse.feature"/>
- <cs:dependency name="org.eclipse.papyrus.tests.build.feature" componentType="eclipse.feature"/>
-
- <!-- these are dependencies for imported packages, that are not resolved otherwise -->
- <cs:dependency name="org.w3c.dom.events" componentType="osgi.bundle"/>
- <cs:dependency name="javax.el" componentType="osgi.bundle"/>
- <cs:dependency name="org.aopalliance" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.dom" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.dom.svg" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.parser" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.css" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.bridge" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.transcoder" componentType="osgi.bundle"/>
- <cs:dependency name="org.apache.batik.pdf" componentType="osgi.bundle"/>
-
- </cs:dependencies>
-</cs:cspec> \ No newline at end of file
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.cquery b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.cquery
deleted file mode 100644
index e124f73ab9f..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.cquery
+++ /dev/null
@@ -1,18 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<cq:componentQuery xmlns:cq="http://www.eclipse.org/buckminster/CQuery-1.0" resourceMap="build.rmap">
- <cq:rootRequest name="org.eclipse.mdt.papyrus.releng.buckminster" componentType="buckminster"/>
- <cq:property key="target.arch" value="x86_64"/>
- <cq:property key="target.os" value="linux"/> <!-- linux -->
- <cq:property key="target.ws" value="gtk"/> <!-- gtk -->
-
- <!-- all the source features are generated during the build ( but org.eclipse.papyrus.sdk.sources.feature must be materialized ) -->
- <cq:advisorNode namePattern="^org\.eclipse\.papyrus\..*\.source\.feature$" skipComponent="true"/>
- <cq:advisorNode namePattern="^org\.eclipse\.papyrus\..*\.source$" skipComponent="true"/>
-
- <cq:advisorNode namePattern=".*doc\.isv" skipComponent="true"/>
- <cq:advisorNode namePattern=".*doc\.user" skipComponent="true"/>
- <cq:advisorNode namePattern="org\.eclipse\.swt\.gtk\.linux\.s390x\.source" skipComponent="true"/>
-
- <!-- FIXME : allowCircularDependency should be able to be set to false -->
- <cq:advisorNode namePattern=".*" allowCircularDependency="true" useMaterialization="false" useTargetPlatform="false"/>
-</cq:componentQuery>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.mspec b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.mspec
deleted file mode 100644
index a368a2b6afa..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.mspec
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<mspec:mspec xmlns:mspec="http://www.eclipse.org/buckminster/MetaData-1.0" installLocation="" materializer="p2" name="build.mspec" url="build.cquery">
- <mspec:property key="target.os" value="*"/>
- <mspec:property key="target.ws" value="*"/>
- <mspec:property key="target.arch" value="*"/>
- <mspec:mspecNode namePattern="^org\.eclipse\.mdt\.papyrus\.releng\.buckminster$" exclude="true"/>
- <mspec:mspecNode materializer="workspace" namePattern=".*" filter="(buckminster.source=true)"/>
-</mspec:mspec>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.properties b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.properties
deleted file mode 100644
index 57d4023a32b..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.properties
+++ /dev/null
@@ -1,39 +0,0 @@
-#--------------------------------------------------------------------------------
-# Copyright (c) 2012 CEA LIST.
-#
-#
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Eclipse Public License v1.0
-# which accompanies this distribution, and is available at
-# http://www.eclipse.org/legal/epl-v10.html
-#
-# Contributors:
-# Nicolas Bros (Mia-Software)
-#--------------------------------------------------------------------------------
-
-# don't use mirrors when building on the eclipse.org infrastructure
-eclipse.p2.mirrors=false
-
-# use the local filesystem
-svn.repository=file:///svnroot
-
-# the ".qualifier" of each plug-in is replaced by the build date
-qualifier.replacement.*=generator:buildTimestamp
-generator.buildTimestamp.format='v'yyyyMMddHHmm
-
-target.os=*
-target.ws=*
-target.arch=*
-
-site.pack200=false
-site.signing=false
-#cbi.include.source=false
-
-eclipse.downloads=file:///home/data/httpd/download.eclipse.org
-bm.headless.path=tools/buckminster/headless-3.7
-director.path=tools/buckminster/products/director_latest.zip
-
-jdk1.5.dir=/shared/common/jdk-1.5.0-22.x86_64
-jdk_1.6=/shared/common/sun-jdk1.6.0_21_x64
-org.eclipse.update.jarprocessor.pack200.buckminster=${jdk_1.6}/jre/bin
-
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.rmap b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.rmap
deleted file mode 100644
index cb323924a66..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.rmap
+++ /dev/null
@@ -1,369 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<rm:rmap xmlns:rm="http://www.eclipse.org/buckminster/RMap-1.0" xmlns:bc="http://www.eclipse.org/buckminster/Common-1.0" xmlns:psf="http://www.eclipse.org/buckminster/PSFProvider-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- <rm:property key="build.type" mutable="true" value="N"/>
- <rm:locator pattern="^org\.eclipse\.mdt\.papyrus\.releng.*" searchPathRef="releng"/>
- <rm:locator failOnError="true" pattern="^org\.eclipse\.papyrus\..*?tests?$" searchPathRef="papyrusTests"/>
- <rm:locator failOnError="true" pattern="^org\.eclipse\.papyrus\.junit\.utils$" searchPathRef="papyrusTests"/>
- <rm:locator failOnError="true" pattern="^org\.eclipse\.papyrus\.tests\..*?feature$" searchPathRef="papyrusTests"/>
- <rm:locator failOnError="true" pattern="^org\.eclipse\.papyrus\..*" searchPathRef="papyrusBinaries"/>
-
- <rm:locator failOnError="false" searchPathRef="orbit"/>
- <rm:locator failOnError="true" searchPathRef="platform.binaries"/>
-
- <!-- Papyrus Releng projects -->
- <rm:searchPath name="releng">
- <rm:provider componentTypes="buckminster,osgi.bundle" readerType="local">
- <rm:uri format="{0}/releng/{1}/{2}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- <bc:propertyRef key="releng.subproject.name"/>
- </rm:uri>
- </rm:provider>
- </rm:searchPath>
-
- <!-- Papyrus test sources -->
- <rm:searchPath name="papyrusTests">
-
- <rm:provider componentTypes="eclipse.feature" readerType="local">
- <rm:uri format="{0}/features/papyrus-main-features/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- <rm:uri format="{0}/features/papyrus-tests-features/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/core/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/sysml/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/sysml/diagram/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/uml/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/uml/diagram/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/uml/modelexplorer/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/infra/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/infra/services/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/uml/tools/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/developer/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/views/modelexplorer/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/customization/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- <rm:provider componentTypes="osgi.bundle" readerType="local">
- <rm:uri format="{0}/tests/junit/plugins/junit/{1}">
- <bc:propertyRef key="local.repository"/>
- <bc:propertyRef key="buckminster.component"/>
- </rm:uri>
- </rm:provider>
-
- </rm:searchPath>
-
-
- <!-- **************************************** UPDATE SITES **************************************** -->
-
- <!-- Papyrus nightly -->
- <rm:searchPath name="papyrusBinaries">
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <rm:uri format="{0}">
- <bc:propertyRef key="papyrus.update.site"/>
- </rm:uri>
- </rm:provider>
- </rm:searchPath>
-
- <!-- Orbit bundles -->
- <rm:searchPath name="orbit">
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!--rm:uri format="{0}/tools/orbit/downloads/drops/S20111201180206/repository/"-->
- <rm:uri format="{0}/tools/orbit/downloads/drops/R20130517111416/repository">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
- </rm:searchPath>
-
- <!-- Everything else : all other Papyrus dependencies -->
- <rm:searchPath name="platform.binaries">
-
- <!-- Birt -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("BIRT",0) -->
- <rm:uri format="{0}/birt/update-site/kepler-interim/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- CDO -->
-<!-- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false"> -->
-<!-- updateFrom("EMF CDO",0) -->
-<!-- <rm:uri format="{0}/modeling/emf/cdo/drops/S20120821-0312"> -->
-<!-- <bc:propertyRef key="eclipse.downloads"/> -->
-<!-- </rm:uri> -->
-<!-- </rm:provider> -->
-
- <!-- M2M ATL -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("M2M ATL",0) -->
- <rm:uri format="{0}/mmt/atl/updates/milestones/3.4/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- EMFT MWE -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("EMFT MWE",0) -->
- <rm:uri format="{0}/modeling/emft/mwe/updates/milestones/S201308130715/mwe">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- M2M QVT-OML -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MMT QVTo 3.3.0",0) -->
- <rm:uri format="{0}/mmt/qvto/updates/releases/3.3.0">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- M2T (Jet) -->
-<!-- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false"> -->
-<!-- updateFrom("M2T JET",0) -->
-<!-- <rm:uri format="{0}/modeling/m2t/updates/milestones/"> -->
-<!-- <bc:propertyRef key="eclipse.downloads"/> -->
-<!-- </rm:uri> -->
-<!-- </rm:provider> -->
-
- <!-- M2T Acceleo -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("M2T ACCELEO",0) -->
- <rm:uri format="{0}/modeling/m2t/acceleo/updates/milestones/3.4">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- MDT OCL -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT OCL 4.1.1",0) -->
- <rm:uri format="{0}/modeling/mdt/ocl/updates/maintenance/4.1.1">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- EMF Facet -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("EMF Facet",0) -->
- <rm:uri format="{0}/facet/updates/integration/0.3.1/I201308191255/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- MoDisco -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MoDisco",0) -->
- <rm:uri format="{0}/modeling/mdt/modisco/updates/integration/0.11.1/I201308191930/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- MDT UML2 -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT UML2",0) -->
- <rm:uri format="{0}/modeling/mdt/uml2/updates/4.1.x">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- Mylyn -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("Mylyn",0) -->
- <rm:uri format="{0}/mylyn/snapshots/3.9">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- M2T Xpand -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("M2T XPAND",0) -->
- <rm:uri format="{0}/modeling/m2t/xpand/updates/milestones/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- TMF Xtext, Xtend -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("TMF Xtext, Tools Xtend",0) -->
- <rm:uri format="{0}/modeling/tmf/xtext/updates/milestones/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- EMF -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("EMF (Core)",0) -->
- <rm:uri format="{0}/modeling/emf/emf/updates/2.9.x/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- EMF Compare -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("EMF COMPARE",0) -->
- <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.1/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- EMF Transaction, EMF Validation -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("EMF TRANSACTION",0) -->
- <rm:uri format="{0}/modeling/emf/transaction/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- <!-- updateFrom("EMF VALIDATION",0) -->
- <rm:uri format="{0}/modeling/emf/validation/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- GEF -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("GEF",0) -->
- <rm:uri format="{0}/tools/gef/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- GMP -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("GMF Runtime",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- GMF Notation -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("GMF Notation",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- GMF Tooling -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("GMF Tooling",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-tooling/updates/milestones">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- Subversive -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("Subversive",0) -->
- <rm:uri format="{0}/technology/subversive/1.1/kepler-site/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- WST -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("WebTools",0) -->
- <rm:uri format="{0}/webtools/downloads/drops/R3.5.1/M-3.5.1RC1-20130815140246/repository/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- Eclipse Platform Milestones -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("Eclipse",0) -->
- <rm:uri format="{0}/eclipse/updates/4.3-M-builds/M-4.3.1RC1-201308140800/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- FIXME !!!!! for EMF workspace which is not currently in Juno !!!!! -->
- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <rm:uri format="{0}/modeling/emf/updates/">
- <bc:propertyRef key="eclipse.downloads"/>
- </rm:uri>
- </rm:provider>
-
- <!-- Papyrus Richtext -->
-<!-- <rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false"> -->
-<!-- <rm:uri format="{0}/modeling/mdt/papyrus/extra/updates/richtext"> -->
-<!-- <bc:propertyRef key="eclipse.downloads"/> -->
-<!-- </rm:uri> -->
-<!-- </rm:provider> -->
-
-
- </rm:searchPath>
-
-</rm:rmap>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.xml b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.xml
deleted file mode 100644
index aa66a5631fd..00000000000
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-3.8-tests/build.xml
+++ /dev/null
@@ -1,323 +0,0 @@
-<?xml version="1.0"?>
-<project name="Papyrus">
-
- <property name="build.config.root.dir" location=".." />
- <echo message="build.config.root.dir=${build.config.root.dir}" />
-
- <condition property="properties.file" value="build.properties" else="local.properties">
- <isset property="server.build" />
- </condition>
-
- <condition property="mspec.file" value="build.mspec" else="local.mspec">
- <isset property="server.build" />
- </condition>
- <echo message="mspec.file=${mspec.file}"/>
-
- <echo message="Sourcing ${properties.file}" />
- <property file="${properties.file}" />
- <property environment="env" />
-
- <condition property="build.root" value="${env.WORKSPACE}/buildroot" else="${basedir}/../build">
- <isset property="env.WORKSPACE" />
- </condition>
- <echo message="build.root=${build.root}"/>
-
- <condition property="buckminster.loglevel" value="${env.BUCKMINSTER_LOGLEVEL}" else="INFO">
- <isset property="env.BUCKMINSTER_LOGLEVEL" />
- </condition>
- <echo message="buckminster.loglevel=${buckminster.loglevel}"/>
-
- <condition property="clean.tools" value="true">
- <equals arg1="${env.CLEAN_TOOLS}" arg2="true" />
- </condition>
-
- <condition property="clean.tp" value="true">
- <equals arg1="${env.CLEAN_TP}" arg2="true" />
- </condition>
-
- <condition property="clean.workspace" value="true">
- <equals arg1="${env.CLEAN_WORKSPACE}" arg2="true" />
- </condition>
-
- <condition property="clean.output" value="true">
- <equals arg1="${env.CLEAN_OUTPUT}" arg2="true" />
- </condition>
-
- <condition property="build.type" value="${env.BUILD_TYPE}" else="N">
- <isset property="env.BUILD_TYPE" />
- </condition>
- <echo message="build.type=${build.type}"/>
-
- <condition property="build.nightly" value="true">
- <equals arg1="${build.type}" arg2="N" />
- </condition>
-
- <condition property="no.proxy" value="${env.no_proxy}, dev.eclipse.org" else="dev.eclipse.org">
- <isset property="env.no_proxy" />
- </condition>
-
- <!-- Default properties intended to be overridden by entries in the above property file -->
- <property name="tools" location="${build.root}/tools" />
- <property name="result" location="${build.root}/result" />
- <property name="workspace" location="${result}/workspace" />
- <property name="targetPlatformPath" location="${result}/targetPlatform" />
- <property name="buckminster.output.root" location="${result}/output" />
- <property name="buckminster.temp.root" location="${result}/temp" />
-
- <echo message="tools=${tools}"/>
- <echo message="result=${result}"/>
- <echo message="workspace=${workspace}"/>
- <echo message="targetPlatformPath=${targetPlatformPath}"/>
-
- <!-- This macro executes the default application of an eclipse installation
- that resides in the folder ${buildtools}/@app -->
- <macrodef name="eclipse.launch">
- <attribute name="app" />
- <element name="properties" optional="true" />
- <element name="args" optional="true" />
- <sequential>
- <!-- We assume that the eclipse installation is beneath ${buildtools} -->
- <property name="@{app}.deploy.dir" value="${tools}/@{app}" />
-
- <!-- Find the Eclipse launcher and assing its location to the @{app}.launcher property -->
- <pathconvert property="@{app}.launcher">
- <first count="1">
- <sort>
- <fileset dir="${@{app}.deploy.dir}/plugins" includes="**/org.eclipse.equinox.launcher_*.jar" />
- <reverse xmlns="antlib:org.apache.tools.ant.types.resources.comparators">
- <date />
- </reverse>
- </sort>
- </first>
- </pathconvert>
-
- <!-- Launch the eclipse application -->
- <java fork="true" jar="${@{app}.launcher}" dir="${@{app}.deploy.dir}" failonerror="true">
- <env key="no_proxy" value="${no.proxy}" />
- <properties />
- <!-- Uncomment to debug <jvmarg value="-agentlib:jdwp=transport=dt_socket,address=8000,server=y,suspend=y"/> -->
- <args />
- </java>
- </sequential>
- </macrodef>
-
- <macrodef name="buckminster">
- <attribute name="command" />
- <attribute name="workspace" default="${workspace}" />
- <element name="sysproperties" optional="true" />
- <element name="globargs" optional="true" />
- <element name="cmdargs" optional="true" />
- <sequential>
- <eclipse.launch app="buckminster">
- <args>
- <jvmarg value="-Xmx1024m" />
- <arg value="-data" />
- <arg value="@{workspace}" />
- <arg value="--loglevel" />
- <arg value="${buckminster.loglevel}" />
- <arg value="--displaystacktrace" />
- <globargs />
- <arg value="@{command}" />
- <arg value="-P" />
- <arg value="${properties.tmp}" />
- <cmdargs />
- </args>
- </eclipse.launch>
- </sequential>
- </macrodef>
-
- <target name="init.clean.tools" if="clean.tools">
- <antcall target="clean.tools" />
- </target>
-
- <target name="init.clean.tp" if="clean.tp">
- <antcall target="clean.tp" />
- </target>
-
- <target name="init.clean.workspace" if="clean.workspace">
- <antcall target="clean.workspace" />
- </target>
-
- <target name="init.clean.output" if="clean.output">
- <antcall target="clean.output" />
- </target>
-
- <target name="init.checks" depends="init.clean.tools,init.clean.tp,init.clean.workspace,init.clean.output">
- <available file="${tools}/director/director" property="director.exists" />
- <available file="${tools}/buckminster/buckminster" property="buckminster.exists" />
- </target>
-
- <target name="get.director" unless="director.exists">
- <echo message="Fetching headless director application" />
- <tempfile destdir="${java.io.tmpdir}" prefix="director-" suffix=".zip" property="director.zip" deleteonexit="true" />
- <get src="${eclipse.downloads}/${director.path}" dest="${director.zip}" />
- <mkdir dir="${tools}" />
- <unzip src="${director.zip}" dest="${tools}" />
- <delete file="${director.zip}" />
- </target>
-
- <target name="install.buckminster" unless="buckminster.exists" depends="get.director">
- <echo message="Configuring headless buckminster with needed features" />
- <echo message="pack200 location configured as: ${org.eclipse.update.jarprocessor.pack200.buckminster}" />
- <eclipse.launch app="director">
- <args>
- <jvmarg value="-Declipse.p2.mirrors=false" />
- <!--
- Hudson Ant property: org.eclipse.update.jarprocessor.pack200=${jdk1.5.dir}/jre/bin
- <jvmarg value="-Dorg.eclipse.update.jarprocessor.pack200=${org.eclipse.update.jarprocessor.pack200}" />
- -->
- <jvmarg value="-Dorg.eclipse.update.jarprocessor.pack200=${org.eclipse.update.jarprocessor.pack200.buckminster}" />
- <arg value="-r" />
- <arg value="${eclipse.downloads}/${bm.headless.path}" />
- <arg value="-d" />
- <arg value="${tools}/buckminster" />
- <arg value="-p" />
- <arg value="Buckminster" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.cmdline.product" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.core.headless.feature.feature.group" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.pde.headless.feature.feature.group" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.cvs.headless.feature.feature.group" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.emma.headless.feature.feature.group" />
- </args>
- </eclipse.launch>
-
- <!-- install svn headless connector -->
- <eclipse.launch app="director">
- <args>
- <jvmarg value="-Declipse.p2.mirrors=false" />
- <!--<jvmarg value="-Dorg.eclipse.update.jarprocessor.pack200=/shared/common/jdk-1.5.0-22.x86_64/jre/bin" />-->
- <jvmarg value="-Dorg.eclipse.update.jarprocessor.pack200=${org.eclipse.update.jarprocessor.pack200.buckminster}" />
- <arg value="-r" />
- <arg value="http://download.cloudsmith.com/buckminster/external-3.6" />
- <arg value="-d" />
- <arg value="${tools}/buckminster" />
- <arg value="-p" />
- <arg value="Buckminster" />
- <arg value="-i" />
- <arg value="org.eclipse.buckminster.subclipse.headless.feature.feature.group" />
- </args>
- </eclipse.launch>
- </target>
-
- <target name="init.workspace" unless="workspace.exists">
- <echo>creating new workspace from template</echo>
- <unzip dest="${workspace}" src="${build.config.root.dir}/resources/workspace.template.zip"/>
- </target>
-
- <target name="init.build.properties">
- <!-- Echo relevant properties to a temporary file so that Buckminster can read them -->
- <tempfile destdir="${java.io.tmpdir}" prefix="build-" suffix=".properties" deleteonexit="true" property="properties.tmp" />
- <echo message="Properties file is: ${properties.tmp}" />
- <echoproperties destfile="${properties.tmp}">
- <!-- We don't want these. basedir in particular will cause problems if passed explicitly -->
- <propertyset negate="true">
- <propertyref name="basedir" />
- <propertyref name="eclipse.home" />
- <propertyref name="properties.tmp" />
- <propertyref name="line.separator" />
- <propertyref name="path.separator" />
- <propertyref prefix="ant." />
- <propertyref prefix="file." />
- <propertyref prefix="java." />
- <propertyref prefix="sun." />
- <propertyref prefix="user." />
- </propertyset>
- </echoproperties>
- </target>
-
- <target name="provision" depends="init.checks,init.workspace,install.buckminster,init.build.properties" unless="skip.provision">
- <echo message="Importing projects into workspace ${workspace} and binaries into target platform ${targetPlatformPath}" />
- <!--
- <buckminster command="installJRE">
- <cmdargs>
- <arg value="- -location" />
- <arg value="${env.JAVA_HOME}" />
- </cmdargs>
- </buckminster>
- -->
- <buckminster command="setpref">
- <cmdargs>
- <arg value="targetPlatformPath=${targetPlatformPath}" />
- </cmdargs>
- </buckminster>
-
- <buckminster command="import">
- <cmdargs>
- <arg value="-P" />
- <arg value="${basedir}/${properties.file}" />
- <arg value="--bomfile"/>
- <arg value="${build.root}/papyrus_bom.xml"/>
- <arg value="${basedir}/${mspec.file}" />
- </cmdargs>
- </buckminster>
- </target>
-
- <target name="build" depends="provision" unless="skip.build">
- <echo message="Building all projects in workspace ${workspace}" />
- <buckminster command="build">
- <cmdargs>
- <arg value="--thorough" />
- </cmdargs>
- </buckminster>
- </target>
-
- <target name="test" depends="build" unless="skip.tests">
- <echo message="Running JUnit tests" />
- <mkdir dir="${result}/testresults/" />
- <mkdir dir="${result}/testresults/xml" />
- <mkdir dir="${result}/testresults/consolelogs" />
- <buckminster command="junit">
- <cmdargs>
- <arg value="-l" />
- <arg value="org.eclipse.papyrus.tests/Papyrus ALL tests.launch" />
- <arg value="-o" />
- <arg value="${result}/testresults/xml/testReport.xml" />
- <arg value="--terseXML" />
- <arg value="--flatXML" />
- <arg value="--stderr" />
- <arg value="${result}/testresults/consolelogs/ErrorLogJunitPapyrus.txt" />
- <arg value="--stdout" />
- <arg value="${result}/testresults/consolelogs/OutputLogJunitPapyrus.txt" />
- </cmdargs>
- </buckminster>
- <echo message="End of JUnit tests" />
-
- <echo>Generating HTML report for Junit tests</echo>
- <junitreport todir="${result}/testresults">
- <fileset dir="${result}/testresults/xml">
- <include name="*.xml" />
- </fileset>
- <report format="frames" todir="${result}/testresults/html" />
- </junitreport>
-
- </target>
-
- <target name="clean.tools">
- <delete dir="${tools}/director" failonerror="true" quiet="true" />
- <delete dir="${tools}/buckminster" failonerror="true" quiet="true" />
- </target>
-
- <target name="clean.tp">
- <delete dir="${targetPlatformPath}" failonerror="true" quiet="true" />
- </target>
-
- <target name="clean.workspace">
- <delete dir="${workspace}" failonerror="true" quiet="true" />
- </target>
-
- <target name="clean.output">
- <delete dir="${buckminster.output.root}" failonerror="true" quiet="true" />
- <delete dir="${buckminster.temp.root}" failonerror="true" quiet="true" />
- <delete dir="${result}/testresults" failonerror="true" quiet="true" />
- </target>
-
- <target name="clean.all" depends="clean.tools,clean.workspace,clean.tp,clean.output" />
-
- <target name="do.nothing" />
-
-</project>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-tests/build.rmap b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-tests/build.rmap
index 0ed602a3a5b..9429fdc0e74 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-tests/build.rmap
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly-tests/build.rmap
@@ -194,8 +194,8 @@
<!-- M2M QVT-OML -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MMT QVTo 3.3.0",0) -->
- <rm:uri format="{0}/mmt/qvto/updates/releases/3.3.0">
+ <!-- updateFrom("QVT Operational",0) -->
+ <rm:uri format="{0}/mmt/qvto/updates/milestones/3.4.0">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -218,8 +218,8 @@
<!-- MDT OCL -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT OCL 4.1.1",0) -->
- <rm:uri format="{0}/modeling/mdt/ocl/updates/maintenance/4.1.1">
+ <!-- updateFrom("MDT OCL 4.2",0) -->
+ <rm:uri format="{0}/modeling/mdt/ocl/updates/milestones/4.2.0/S201308191305">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -227,7 +227,7 @@
<!-- EMF Facet -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF Facet",0) -->
- <rm:uri format="{0}/facet/updates/integration/0.3.1/I201308191255/">
+ <rm:uri format="{0}/facet/updates/integration/0.4.0/I201308190853/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -243,7 +243,7 @@
<!-- MDT UML2 -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("MDT UML2",0) -->
- <rm:uri format="{0}/modeling/mdt/uml2/updates/4.1.x">
+ <rm:uri format="{0}/modeling/mdt/uml2/updates/4.2milestones">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -251,7 +251,7 @@
<!-- Mylyn -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Mylyn",0) -->
- <rm:uri format="{0}/mylyn/snapshots/3.9">
+ <rm:uri format="{0}/mylyn/snapshots/3.10">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -275,7 +275,7 @@
<!-- EMF -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF (Core)",0) -->
- <rm:uri format="{0}/modeling/emf/emf/updates/2.9.x/">
+ <rm:uri format="{0}/modeling/emf/emf/updates/milestones/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -283,7 +283,7 @@
<!-- EMF Compare -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF COMPARE",0) -->
- <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.1/">
+ <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.2/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -291,11 +291,11 @@
<!-- EMF Transaction, EMF Validation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF TRANSACTION",0) -->
- <rm:uri format="{0}/modeling/emf/transaction/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/transaction/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
<!-- updateFrom("EMF VALIDATION",0) -->
- <rm:uri format="{0}/modeling/emf/validation/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/validation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -311,7 +311,7 @@
<!-- GMP -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Runtime",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -319,7 +319,7 @@
<!-- GMF Notation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Notation",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -335,7 +335,7 @@
<!-- Subversive -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Subversive",0) -->
- <rm:uri format="{0}/technology/subversive/1.1/kepler-site/">
+ <rm:uri format="{0}/technology/subversive/1.1/luna-site/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -343,7 +343,7 @@
<!-- WST -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("WebTools",0) -->
- <rm:uri format="{0}/webtools/downloads/drops/R3.5.1/M-3.5.1RC1-20130815140246/repository/">
+ <rm:uri format="{0}/webtools/downloads/drops/R3.6.0/S-3.6.0M1-20130816211629/repository/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -351,7 +351,7 @@
<!-- Eclipse Platform Milestones -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Eclipse",0) -->
- <rm:uri format="{0}/eclipse/updates/4.3-M-builds/M-4.3.1RC1-201308140800/">
+ <rm:uri format="{0}/eclipse/updates/4.4milestones/S-4.4M1-201308072000/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly/build.rmap b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly/build.rmap
index e42d528ee8e..d661dcb7275 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly/build.rmap
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/papyrus-trunk-nightly/build.rmap
@@ -390,8 +390,8 @@
<!-- M2M QVT-OML -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MMT QVTo 3.3.0",0) -->
- <rm:uri format="{0}/mmt/qvto/updates/releases/3.3.0">
+ <!-- updateFrom("QVT Operational",0) -->
+ <rm:uri format="{0}/mmt/qvto/updates/milestones/3.4.0">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -414,8 +414,8 @@
<!-- MDT OCL -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
- <!-- updateFrom("MDT OCL 4.1.1",0) -->
- <rm:uri format="{0}/modeling/mdt/ocl/updates/maintenance/4.1.1">
+ <!-- updateFrom("MDT OCL 4.2",0) -->
+ <rm:uri format="{0}/modeling/mdt/ocl/updates/milestones/4.2.0/S201308191305">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -423,7 +423,7 @@
<!-- EMF Facet -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF Facet",0) -->
- <rm:uri format="{0}/facet/updates/integration/0.3.1/I201308191255/">
+ <rm:uri format="{0}/facet/updates/integration/0.4.0/I201308190853/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -439,7 +439,7 @@
<!-- MDT UML2 -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("MDT UML2",0) -->
- <rm:uri format="{0}/modeling/mdt/uml2/updates/4.1.x">
+ <rm:uri format="{0}/modeling/mdt/uml2/updates/4.2milestones">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -447,7 +447,7 @@
<!-- Mylyn -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Mylyn",0) -->
- <rm:uri format="{0}/mylyn/snapshots/3.9">
+ <rm:uri format="{0}/mylyn/snapshots/3.10">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -471,7 +471,7 @@
<!-- EMF -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF (Core)",0) -->
- <rm:uri format="{0}/modeling/emf/emf/updates/2.9.x/">
+ <rm:uri format="{0}/modeling/emf/emf/updates/milestones/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -479,7 +479,7 @@
<!-- EMF Compare -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF COMPARE",0) -->
- <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.1/">
+ <rm:uri format="{0}/modeling/emf/compare/updates/milestones/2.2/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -487,11 +487,11 @@
<!-- EMF Transaction, EMF Validation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("EMF TRANSACTION",0) -->
- <rm:uri format="{0}/modeling/emf/transaction/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/transaction/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
<!-- updateFrom("EMF VALIDATION",0) -->
- <rm:uri format="{0}/modeling/emf/validation/updates/milestones">
+ <rm:uri format="{0}/modeling/emf/validation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -507,7 +507,7 @@
<!-- GMP -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Runtime",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-runtime/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -515,7 +515,7 @@
<!-- GMF Notation -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("GMF Notation",0) -->
- <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/milestones">
+ <rm:uri format="{0}/modeling/gmp/gmf-notation/updates/releases">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -531,7 +531,7 @@
<!-- Subversive -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Subversive",0) -->
- <rm:uri format="{0}/technology/subversive/1.1/kepler-site/">
+ <rm:uri format="{0}/technology/subversive/1.1/luna-site/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -539,7 +539,7 @@
<!-- WST -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("WebTools",0) -->
- <rm:uri format="{0}/webtools/downloads/drops/R3.5.1/M-3.5.1RC1-20130815140246/repository/">
+ <rm:uri format="{0}/webtools/downloads/drops/R3.6.0/S-3.6.0M1-20130816211629/repository/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
@@ -547,7 +547,7 @@
<!-- Eclipse Platform Milestones -->
<rm:provider componentTypes="eclipse.feature,osgi.bundle" mutable="false" readerType="p2" source="false">
<!-- updateFrom("Eclipse",0) -->
- <rm:uri format="{0}/eclipse/updates/4.3-M-builds/M-4.3.1RC1-201308140800/">
+ <rm:uri format="{0}/eclipse/updates/4.4milestones/S-4.4M1-201308072000/">
<bc:propertyRef key="eclipse.downloads"/>
</rm:uri>
</rm:provider>
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
index db550758b72..5050062c869 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
@@ -37,38 +37,26 @@ LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-t
PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-trunk-nightly-tests/promoteSignal
PROMOTE_VERSION_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-trunk-nightly-tests/promoteVersion
-### MAINTENANCE 0.9 ###
+### MAINTENANCE 0.10 ###
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/promoteVersion
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/promoteVersion
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/promoteVersion
-
-### MAINTENANCE 0.8 ###
-
-LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/lastPromoteRef
-PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/promoteSignal
-PROMOTE_VERSION_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/promoteVersion
-
-LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/lastPromoteRef
-PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/promoteSignal
-PROMOTE_VERSION_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/promoteVersion
### Update Sites ###
-UPDATES_TRUNK_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/main
-UPDATES_TRUNK_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/extra
-UPDATES_0_9_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/juno/main
-UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/juno/extra
-UPDATES_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/indigo/main
-UPDATES_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/indigo/extra
+UPDATES_TRUNK_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/luna/main
+UPDATES_TRUNK_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/luna/extra
+UPDATES_0_10_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/main
+UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/extra
DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/drops
@@ -94,16 +82,11 @@ if [ ! -e $LAST_PROMOTE_FILE_TRUNK_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_TRUN
if [ ! -e $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY; fi
if [ ! -e $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS; fi
-### MAINTENANCE 0.9 ###
-
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS; fi
+### MAINTENANCE 0.10 ###
-### MAINTENANCE 0.8 ###
-
-if [ ! -e $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS; fi
###
@@ -111,12 +94,9 @@ if [ ! -e $PROMOTE_SIGNAL_TRUNK_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIG
if [ ! -e $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY not found"; exit 1; fi
if [ ! -e $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS not found"; exit 1; fi
-
-if [ ! -e $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS not found"; exit 1; fi
###
@@ -124,9 +104,9 @@ signalDateTrunkNightly=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_NIGHTLY)
signalDateTrunkExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY)
signalDateTrunkNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS)
-signalDate09MaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY)
-signalDate09MaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY)
-signalDate09MaintenanceNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS)
+signalDate10MaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY)
+signalDate10MaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY)
+signalDate10MaintenanceNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS)
signalDateMaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY)
signalDateMaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY)
@@ -137,9 +117,9 @@ lastPromoteDateTrunkNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_NIGHTLY)
lastPromoteDateTrunkExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY)
lastPromoteDateTrunkNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS)
-lastPromoteDate09MaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY)
-lastPromoteDate09MaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY)
-lastPromoteDate09MaintenanceNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS)
+lastPromoteDate10MaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY)
+lastPromoteDate10MaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY)
+lastPromoteDate10MaintenanceNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS)
lastPromoteDateMaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY)
lastPromoteDateMaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY)
@@ -170,7 +150,7 @@ if [ $signalDateTrunkNightly -gt $lastPromoteDateTrunkNightly ]; then
echo "[$DATE] promote done"
- # trigger the tests, 3.8 tests and extras builds by using the Hudson Rest API
+ # trigger the tests and extras builds by using the Hudson Rest API
# see http://wiki.hudson-ci.org/display/HUDSON/Remote+access+API
echo "[$DATE] triggering Hudson tests build"
@@ -185,17 +165,6 @@ if [ $signalDateTrunkNightly -gt $lastPromoteDateTrunkNightly ]; then
], "": ""}'
curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
- echo "[$DATE] triggering Hudson 3.8 tests build"
- json='{"parameter": [
- {"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
- {"name": "CLEAN_TP", "value": "true"},
- {"name": "CLEAN_WORKSPACE", "value": "true"},
- {"name": "CLEAN_OUTPUT", "value": "true"},
- {"name": "CLEAN_TOOLS", "value": "false"},
- {"name": "BUILD_TARGET", "value": "test"}
- ], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly-3.8-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-
echo "[$DATE] triggering Hudson extras build"
json='{"parameter": [
{"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
@@ -320,33 +289,33 @@ if [ $signalDateTrunkExtraNightly -gt $lastPromoteDateTrunkExtraNightly ]; then
curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
-########## maintenance main 0.9 nightly ##########
-if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ]; then
+########## maintenance main 0.10 nightly ##########
+if [ $signalDate10MaintenanceNightly -gt $lastPromoteDate10MaintenanceNightly ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
# the Hudson job wrote these build name and version to publish
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-Main.zip"
echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_0_9_MAINTENANCE_NIGHTLY"
+ rm -rf "$UPDATES_0_10_MAINTENANCE_NIGHTLY"
buildsDir="$DROPS_DIR/$version"
echo "[$DATE] pruning old builds"
prune N "$buildsDir" 2
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly/lastSuccessfulBuild/artifact/"
export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_0_9_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
+ promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_0_10_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
echo "[$DATE] promote done"
- # trigger the tests, 3.8 tests and extras builds by using the Hudson Rest API
+ # trigger the tests and extras builds by using the Hudson Rest API
# see http://wiki.hudson-ci.org/display/HUDSON/Remote+access+API
echo "[$DATE] triggering Hudson tests build"
@@ -359,18 +328,7 @@ if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ];
{"name": "BUILD_TARGET", "value": "test"},
{"name": "BUILD_TYPE", "value": "N"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-
- echo "[$DATE] triggering Hudson 3.8 tests build"
- json='{"parameter": [
- {"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
- {"name": "CLEAN_TP", "value": "true"},
- {"name": "CLEAN_WORKSPACE", "value": "true"},
- {"name": "CLEAN_OUTPUT", "value": "true"},
- {"name": "CLEAN_TOOLS", "value": "false"},
- {"name": "BUILD_TARGET", "value": "test"}
- ], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-3.8-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
echo "[$DATE] triggering Hudson extras build"
json='{"parameter": [
@@ -385,15 +343,15 @@ if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ];
{"name": "JAVA_HOME", "value": "/shared/common/jdk-1.5.0-22.x86_64"},
{"name": "SIGN_UPDATE_SITE", "value": "false"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
-########## maintenance 0.9 main nightly tests ##########
-if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNightlyTests ]; then
+########## maintenance 0.10 main nightly tests ##########
+if [ $signalDate10MaintenanceNightlyTests -gt $lastPromoteDate10MaintenanceNightlyTests ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-nightly-tests" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-nightly-tests" "$JOB_FINISH_WAIT_TIMEOUT"
dirBefore=$(pwd)
echo "[$DATE] creating working dir"
@@ -403,11 +361,11 @@ if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNight
# for the tests build, the build name and version are taken from the last main build since the artifacts
# must go to the same folder, and we want to be able to start several extra jobs after one single main job
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-TestResults.zip"
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-nightly-tests/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-tests/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly-tests/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/lastSuccessfulBuild/artifact/"
cp "$nfsURL/${zipName}" . || wget --no-check-certificate "$hudsonURL/${zipName}"
if [ ! -f "$zipName" ]; then echo "ERROR: $zipName (from Hudson) not found"; exit -2; fi
@@ -427,15 +385,15 @@ if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNight
# TODO: re-enable when the job is implemented
# echo "[$DATE] triggering Hudson tests build"
- # curl https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly-tests/buildWithParameters?token=token
+ # curl https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly-tests/buildWithParameters?token=token
fi
-########## maintenance 0.9 extras nightly ##########
-if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtraNightly ]; then
+########## maintenance 0.10 extras nightly ##########
+if [ $signalDate10MaintenanceExtraNightly -gt $lastPromoteDate10MaintenanceExtraNightly ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
dirBefore=$(pwd)
echo "[$DATE] creating working dir"
@@ -445,12 +403,12 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
# for the extra build, the build name and version are taken from the last main build since the artifacts
# must go to the same folder, and we want to be able to start several extra jobs after one single main job
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-Extra.zip"
updateZipName="Papyrus-Extra-Update.zip"
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-extra-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-extra-nightly/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
# publish to existing drops folder
cp "$nfsURL/${zipName}" . || wget --no-check-certificate "$hudsonURL/${zipName}"
@@ -466,12 +424,12 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
unzip "$zipName" -d "$tmpDrop"
dirNameInZip=$(ls -1 "$tmpDrop")
[ $(echo "$dirNameInZip" | wc -l) == 1 ] || { echo "one directory expected in zip"; exit 1; }
- rm -rf "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
- unzip -o "$tmpDrop/$dirNameInZip/${updateZipName}" -d "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ rm -rf "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
+ unzip -o "$tmpDrop/$dirNameInZip/${updateZipName}" -d "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
echo "[$DATE] setting access rights"
setAccessRights "$buildsDir"
- setAccessRights "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ setAccessRights "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
echo "[$DATE] promote done"
@@ -493,55 +451,5 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
{"name": "BUILD_TYPE", "value": "N"},
{"name": "BUILD_TARGET", "value": "test"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-fi
-
-########## maintenance main nightly ##########
-if [ $signalDateMaintenanceNightly -gt $lastPromoteDateMaintenanceNightly ]; then
- # mark the promote as done
- touch "$LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY"
-
- waitUntilJobIsFinished "papyrus-0.8-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
-
- zipName=$(cat "$PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY").zip
- version=$(cat "$PROMOTE_VERSION_MAINTENANCE_NIGHTLY")
-
- echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_MAINTENANCE_NIGHTLY"
-
- buildsDir="$DROPS_DIR/$version"
- echo "[$DATE] pruning old builds"
- prune N "$buildsDir" 2
-
- nfsURL="/shared/jobs/papyrus-0.8-maintenance-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.8-maintenance-nightly/lastSuccessfulBuild/artifact/"
- export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
-
- echo "[$DATE] done"
-fi
-
-########## maintenance extras nightly ##########
-if [ $signalDateMaintenanceExtraNightly -gt $lastPromoteDateMaintenanceExtraNightly ]; then
- # mark the promote as done
- touch "$LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY"
-
- waitUntilJobIsFinished "papyrus-0.8-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
-
- zipName=$(cat "$PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY").zip
- version=$(cat "$PROMOTE_VERSION_MAINTENANCE_EXTRA_NIGHTLY")
-
- echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_MAINTENANCE_EXTRA_NIGHTLY"
-
- buildsDir="$DROPS_DIR/$version"
- echo "[$DATE] pruning old builds"
- prune N "$buildsDir" 2
-
- nfsURL="/shared/jobs/papyrus-0.8-maintenance-extra-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.8-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
- export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_MAINTENANCE_EXTRA_NIGHTLY" "PapyrusExtra-Update-" "NA"
-
- echo "[$DATE] done"
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
index 36d475b175b..31dc7312d61 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
@@ -20,7 +20,7 @@ DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/d
ARCHIVE_DIR=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/drops
ARCHIVE_INDEX=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/index.html
UPDATE_SITES_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates
-ZIP_PREFIX="Papyrus-Update-"
+ZIP_PREFIX="Papyrus-Update-incubation"
PROMOTE_FUNCTIONS_SH=/opt/public/modeling/mdt/papyrus/promoteFunctions.sh
ADD_TO_COMPOSITE_SH=/opt/public/modeling/mdt/papyrus/addToComposite.sh
@@ -67,7 +67,7 @@ while [[ ! "$version" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; do
done
echo "updateSite (e.g. \"nightly/juno\", \"milestones/0.9/M5\", \"releases/indigo/0.8.1\") : "
-while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler))$ ]]; do
+while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler|luna)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler|luna))$ ]]; do
echo -n "? "
read updateSite
done
@@ -107,7 +107,7 @@ cd "$workingDir"
nfsURL="/shared/jobs/papyrus-trunk-nightly/builds/$mainBuildNumber/archive/"
hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly/$mainBuildNumber/artifact/"
zipName="Papyrus-Main.zip"
-updateZipPrefix="Papyrus-Update"
+updateZipPrefix="Papyrus-Update-incubation"
getZip "$zipName" "$nfsURL" "$hudsonURL"
mkdir -p "$updateSiteDir"
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh
new file mode 100644
index 00000000000..3f16cf1a54c
--- /dev/null
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh
@@ -0,0 +1,183 @@
+#!/bin/bash
+
+#--------------------------------------------------------------------------------
+# Copyright (c) 2012 CEA LIST.
+#
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Nicolas Bros (Mia-Software)
+#--------------------------------------------------------------------------------
+
+set -o errexit
+set -o nounset
+
+DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/drops
+ARCHIVE_DIR=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/drops
+ARCHIVE_INDEX=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/index.html
+UPDATE_SITES_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates
+ZIP_PREFIX="Papyrus-Update-incubation"
+PROMOTE_FUNCTIONS_SH=/opt/public/modeling/mdt/papyrus/promoteFunctions.sh
+ADD_TO_COMPOSITE_SH=/opt/public/modeling/mdt/papyrus/addToComposite.sh
+
+SVN_DIRECTORIES_TO_TAG[0]="file:///svnroot/modeling/org.eclipse.mdt.papyrus"
+
+# constants required by promoteFunctions.sh
+export ADD_DOWNLOAD_STATS=/opt/public/modeling/mdt/papyrus/addDownloadStats.sh
+
+# include promote functions
+source "$PROMOTE_FUNCTIONS_SH"
+
+# ============================== USER PARAMETERS ==============================
+
+echo "-------------------- user parameters --------------------"
+mainBuildNumber=""
+extrasBuildNumber=""
+testsBuildNumber=""
+version=""
+updateSite=""
+sure=""
+
+echo "mainBuildNumber (the number of the \"papyrus-0.10-maintenance-nightly\" Hudson build from which to publish the main Papyrus plug-ins): "
+while [[ ! "$mainBuildNumber" =~ ^[0-9]+$ || "$mainBuildNumber" < 1 ]]; do
+ echo -n "? "
+ read mainBuildNumber
+done
+
+echo "extrasBuildNumber (the number of the \"papyrus-0.10-maintenance-extra-nightly\" Hudson build from which to publish the extra Papyrus plug-ins, or 0 to not publish): "
+while [[ ! "$extrasBuildNumber" =~ ^[0-9]+$ || "$extrasBuildNumber" < 0 ]]; do
+ echo -n "? "
+ read extrasBuildNumber
+done
+
+echo "testsBuildNumber (the number of the \"papyrus-0.10-maintenance-nightly-tests\" Hudson build from which to publish the test results, or 0 to not publish): "
+while [[ ! "$testsBuildNumber" =~ ^[0-9]+$ || "$testsBuildNumber" < 0 ]]; do
+ echo -n "? "
+ read testsBuildNumber
+done
+
+echo "version (e.g. \"0.10.0\"): "
+while [[ ! "$version" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; do
+ echo -n "? "
+ read version
+done
+
+echo "updateSite (e.g. \"nightly/kepler\", \"milestones/0.10/M5\", \"releases/kepler/0.10.1\") : "
+while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler|luna)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler|luna))$ ]]; do
+ echo -n "? "
+ read updateSite
+done
+
+updateSiteDir="$UPDATE_SITES_DIR/$updateSite"
+
+deleteUpdateSite=""
+if [ -e "$updateSiteDir" ]; then
+ echo "The update site already exists: $updateSiteDir"
+ echo "Do you want to delete it (yes|no)?"
+ while [[ ! "$deleteUpdateSite" =~ ^(yes|no)$ ]]; do
+ echo -n "? "
+ read deleteUpdateSite
+ done
+ if [ "$deleteUpdateSite" != "yes" ]; then echo "Canceled."; exit 1; fi
+ rm -rf "$updateSiteDir"
+fi
+
+
+echo "Are you sure you want to publish with these parameters (yes|no)?"
+while [[ ! "$sure" =~ ^(yes|no)$ ]]; do
+ echo -n "? "
+ read sure
+done
+
+if [ "$sure" != "yes" ]; then echo "Canceled."; exit 1; fi
+
+# from now on, display executed commands
+set -x
+
+dirBefore=$(pwd)
+echo "[$DATE] creating working dir"
+workingDir=$(mktemp -d)
+cd "$workingDir"
+
+# ============================== PUBLISH MAIN ==============================
+nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly/builds/$mainBuildNumber/archive/"
+hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly/$mainBuildNumber/artifact/"
+zipName="Papyrus-Main.zip"
+updateZipPrefix="Papyrus-Update-incubation"
+getZip "$zipName" "$nfsURL" "$hudsonURL"
+
+mkdir -p "$updateSiteDir"
+
+buildsDir="$DROPS_DIR/$version"
+echo "publishing build (version='$version') to the builds directory '$buildsDir'..."
+unzip -o "$zipName" -d "$buildsDir"
+
+foldersInZip=$(unzip -t "$zipName" | egrep "testing: *[^/]*/ +OK" | sed 's%^ *testing: *\([^/]*\)/ *OK$%\1%')
+[ $(echo "$foldersInZip" | wc -l) == 1 ] || { echo "one directory expected in zip"; exit 1; }
+folderName="$foldersInZip"
+
+updateSiteZipName=$(basename $(ls -1 "$buildsDir/$folderName/${updateZipPrefix}"*.zip))
+unzip -o "$buildsDir/$folderName/${updateSiteZipName}" -d "$updateSiteDir/main"
+
+# create the composite update site
+cat > "$updateSiteDir/compositeArtifacts.xml" <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<repository name="Papyrus" type="org.eclipse.equinox.internal.p2.artifact.repository.CompositeArtifactRepository" version="1.0.0">
+ <properties size="1">
+ <property name="p2.timestamp" value="$(date +%s000)"/>
+ </properties>
+ <children size="2">
+ <child location="main"/>
+ <child location="extra"/>
+ </children>
+</repository>
+EOF
+
+cat > "$updateSiteDir/compositeContent.xml" <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<repository name="Papyrus" type="org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository" version="1.0.0">
+ <properties size="1">
+ <property name="p2.timestamp" value="$(date +%s000)"/>
+ </properties>
+ <children size="2">
+ <child location="main"/>
+ <child location="extra"/>
+ </children>
+</repository>
+EOF
+
+$ADD_DOWNLOAD_STATS "$updateSiteDir/main" "main"
+
+# ============================== PUBLISH EXTRAS ==============================
+if [[ "$extrasBuildNumber" != "0" ]]; then
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-extra-nightly/builds/$extrasBuildNumber/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/$extrasBuildNumber/artifact/"
+ zipName="Papyrus-Extra.zip"
+ updateZipName="Papyrus-Extra-Update.zip"
+ getZip "$zipName" "$nfsURL" "$hudsonURL"
+ # unzips under an "extra" folder under the main build's folder
+ unzip -o "$zipName" -d "$buildsDir/$folderName"
+ unzip -o "$buildsDir/$folderName/extra/$updateZipName" -d "$updateSiteDir/extra"
+
+ $ADD_DOWNLOAD_STATS "$updateSiteDir/extra" "extra"
+fi
+
+# ============================== PUBLISH TESTS ==============================
+if [[ "$testsBuildNumber" != "0" ]]; then
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly-tests/builds/$testsBuildNumber/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/$testsBuildNumber/artifact/"
+ zipName="Papyrus-TestResults.zip"
+ getZip "$zipName" "$nfsURL" "$hudsonURL"
+ # unzips under a "testresults" folder under the main build's folder
+ unzip -o "$zipName" -d "$buildsDir/$folderName"
+fi
+
+
+setAccessRights "$buildsDir/$folderName"
+setAccessRights "$updateSiteDir"
+
+echo "publishing done."

Back to the top